<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.text.*?>
<?import java.lang.*?>
<?import java.util.*?>
<?import javafx.geometry.*?>
<?import javafx.scene.control.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.paint.*?>

<!--prefWidth="231.0"-->

<StackPane prefHeight="400" prefWidth="473.0" xmlns="http://javafx.com/javafx/8" xmlns:fx="http://javafx.com/fxml/1" fx:controller="controller.MainViewController">
  <children>
    <StackPane>
      <children>
        <VBox prefHeight="380.0" prefWidth="497.0" spacing="10.0">
          <children>
            <GridPane prefHeight="137.0" prefWidth="369.0">
              <children>
<!--                 <Label fx:id="sessionLabel" alignment="CENTER" prefHeight="21.0" prefWidth="162.0" text="Welcome to Boondrive" GridPane.columnIndex="1" GridPane.rowIndex="0">
                           <font>
                              <Font name="Arial Narrow" size="18.0" />
                           </font></Label>-->
                <Label fx:id="dir" layoutX="55.0" layoutY="120.0" prefHeight="17.0" prefWidth="144.0" text="Location for downloading" GridPane.rowIndex="1" />
                <TextField fx:id="directoryname" prefHeight="25.0" prefWidth="131.0" promptText="directoty name" GridPane.columnIndex="1" GridPane.rowIndex="1" />
                <Label fx:id="copyLabel" layoutX="55.0" layoutY="73.0" text="Processing " visible="false" GridPane.columnIndex="0" GridPane.rowIndex="2" />
                <ProgressBar fx:id="progressBar" layoutX="83.0" layoutY="258.0" visible="false" GridPane.columnIndex="1" GridPane.rowIndex="2" />
                <ProgressIndicator fx:id="progressIndicator" layoutX="83.0" layoutY="80.0" prefHeight="42.0" prefWidth="111.0" progress="0.0" visible="false" GridPane.columnIndex="2" GridPane.rowIndex="2" />
                 <Label fx:id="statusLabel" text="Copying" visible="false" GridPane.rowIndex="3" />
                 
                 <Button id="createDirc" fx:id="btncreatedirectory" alignment="BOTTOM_RIGHT" contentDisplay="CENTER" defaultButton="true" mnemonicParsing="false" prefHeight="25.0" prefWidth="116.0" text=" Choose Directory" GridPane.columnIndex="2" GridPane.rowIndex="1">
                           <GridPane.margin>
                              <Insets bottom="10.0" left="10.0" right="10.0" top="10.0" />
                           </GridPane.margin></Button>
              </children>
              <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="166.0" minWidth="10.0" prefWidth="150.0" />
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="247.0" minWidth="10.0" prefWidth="158.0" />
                        <ColumnConstraints maxWidth="176.0" minWidth="100.0" prefWidth="145.0" />
              </columnConstraints>
              <rowConstraints>
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints />
                        <RowConstraints />
              </rowConstraints>
            </GridPane>
            <StackPane prefHeight="-1.0" prefWidth="-1.0">
              <children>
                <Button id="loginButton" fx:id="logoutButton" alignment="CENTER" defaultButton="true" mnemonicParsing="false" text="Download Completed" visible="false" StackPane.alignment="CENTER_RIGHT" />
              </children>
            </StackPane>
          </children>
        </VBox>
      </children>
    </StackPane>
  </children>
  <padding>
    <Insets bottom="10.0" left="10.0" right="10.0" top="10.0" />
  </padding>
</StackPane>
